YarnJacksonJaxbJsonProvider (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp, class: YarnJacksonJaxbJsonProvider

Package org.apache.hadoop.yarn.webapp

# Class YarnJacksonJaxbJsonProvider

java.lang.Object
com.fasterxml.jackson.jaxrs.base.ProviderBase<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider,com.fasterxml.jackson.databind.ObjectMapper,com.fasterxml.jackson.jaxrs.json.JsonEndpointConfig,com.fasterxml.jackson.jaxrs.json.JsonMapperConfigurator>
com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider
com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider
org.apache.hadoop.yarn.webapp.YarnJacksonJaxbJsonProvider

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `javax.ws.rs.ext.MessageBodyReader<Object>`, `javax.ws.rs.ext.MessageBodyWriter<Object>`

@Singleton @Provider @Unstable @Private public class YarnJacksonJaxbJsonProvider extends com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider
YARN's implementation of JAX-RS abstractions based on `JacksonJaxbJsonProvider` needed for deserialize JSON content to or serialize it from POJO objects.

- ## Field Summary

  ### Fields inherited from class com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider

  `DEFAULT_ANNOTATIONS`

  ### Fields inherited from class com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider

  `_jsonpFunctionName, _providers, BASIC_ANNOTATIONS, MIME_JAVASCRIPT, MIME_JAVASCRIPT_MS`

  ### Fields inherited from class com.fasterxml.jackson.jaxrs.base.ProviderBase

  `_cfgCheckCanDeserialize, _cfgCheckCanSerialize, _cfgCustomUntouchables, _defaultReadView, _defaultWriteView, _jaxRSFeatures, _mapperConfig, _readers, _unreadableClasses, _untouchables, _unwritableClasses, _writers, CLASS_NAME_NO_CONTENT_EXCEPTION, DEFAULT_UNREADABLES, DEFAULT_UNTOUCHABLES, DEFAULT_UNWRITABLES, HEADER_CONTENT_TYPE_OPTIONS, JAXRS_FEATURE_DEFAULTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `YarnJacksonJaxbJsonProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `configObjectMapper(com.fasterxml.jackson.databind.ObjectMapper mapper)`
  `com.fasterxml.jackson.databind.ObjectMapper`
  `locateMapper(Class<?> type, javax.ws.rs.core.MediaType mediaType)`

  ### Methods inherited from class com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider

  `_configForReading, _configForWriting, _locateMapperViaProvider, hasMatchingMediaType, setJSONPFunctionName, version`

  ### Methods inherited from class com.fasterxml.jackson.jaxrs.base.ProviderBase

  `_addSuperTypes, _configForReading, _configForWriting, _containedIn, _createGenerator, _createNoContentException, _createParser, _endpointForReading, _endpointForWriting, _findCustomUntouchable, _isIgnorableForReading, _isIgnorableForWriting, _isSpecialReadable, _modifyHeaders, addUntouchable, checkCanDeserialize, checkCanSerialize, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, findEncoding, findSuperTypes, findSuperTypes, getSize, hasMatchingMediaTypeForReading, hasMatchingMediaTypeForWriting, isEnabled, isReadable, isWriteable, readFrom, removeUntouchable, setAnnotationsToUse, setDefaultReadView, setDefaultView, setDefaultWriteView, setMapper, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### YarnJacksonJaxbJsonProvider

    public YarnJacksonJaxbJsonProvider()

- ## Method Details

  - ### locateMapper

    public com.fasterxml.jackson.databind.ObjectMapper locateMapper(Class<?> type, javax.ws.rs.core.MediaType mediaType)
    Overrides:
      `locateMapper` in class `com.fasterxml.jackson.jaxrs.base.ProviderBase<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider,com.fasterxml.jackson.databind.ObjectMapper,com.fasterxml.jackson.jaxrs.json.JsonEndpointConfig,com.fasterxml.jackson.jaxrs.json.JsonMapperConfigurator>`

  - ### configObjectMapper

    public static void configObjectMapper(com.fasterxml.jackson.databind.ObjectMapper mapper)